# geos::index::bintree::Interval Class Reference

Represents an (1-dimensional) closed interval on the Real number line. More...

`#include <Interval.h>`

List of all members.

## Public Member Functions

| Interval (double nmin, double nmax)
| Interval (Interval *interval)
void | init (double nmin, double nmax)
double | getMin ()
double | getMax ()
double | getWidth ()
void | expandToInclude (Interval *interval)
bool | overlaps (Interval *interval)
bool | overlaps (double nmin, double nmax)
bool | contains (Interval *interval)
bool | contains (double nmin, double nmax)
bool | contains (double p)

## Public Attributes

double | min
double | max

## Detailed Description

Represents an (1-dimensional) closed interval on the Real number line.

The documentation for this class was generated from the following file:

- bintree/Interval.h